@import '../settings.scss';

nav {
    align-items: center;
    display: flex;
    font-weight: bold;
    justify-content: space-between;
    margin-bottom: 7rem;

    ul {
        list-style: none;
        padding: 0;

        li {
            display: inline-block;
            margin: 0 0.5rem;
            position: relative;
            text-align: left;
        }

        &:hover ul {
            display: block;
        }

        ul {
            background: var(--color-bg);
            border: 1px solid var(--color-bg-secondary);
            border-radius: $border-radius;
            box-shadow: var(--box-shadow) var(--color-shadow);
            display: none;
            height: auto;
            left: -2px;
            padding: .5rem 1rem;
            position: absolute;
            top: 1.7rem;
            white-space: nowrap;
            width: auto;
            z-index: 1;

            &::before {
                /* fill gap above to make mousing over them easier */
                content: "";
                position: absolute;
                left: 0;
                right: 0;
                top: -0.5rem;
                height: 0.5rem;
            }

            li, li a {
                display: block;
            }
        }
    }
}

